package com.malk.ruisi.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.malk.ruisi.entity.NewsSupplier;
import com.malk.ruisi.service.NewSupplierAdditionService;
import com.malk.server.common.McR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/supplier")
public class NewSupplierAdditionController {
    @Autowired
    private NewSupplierAdditionService newSupplierAdditionService;

    /*供应商新增*/
    @PostMapping("/addAndUpdate")
    McR addAndUpdate(String instanceId) throws JsonProcessingException {
        newSupplierAdditionService.addAndUpdate(instanceId);
        return McR.success();
    }

}
