package com.malk.ruisi.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.malk.ruisi.service.CostBearerService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.service.aliwork.YDClient;
import com.malk.utils.UtilMap;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
@Slf4j
public class CostBearerServiceImpl implements CostBearerService {
    @Autowired
    private YDClient ydClient;
    @Override
    public void CostBearer() {
        //1、数据库
        List<Map> costList = new ArrayList<>();
        String sql = "SELECT FID,FNAME,FNUMBER FROM V_ORG_COMPANY WHERE FNAME NOT LIKE '%rise-%'";
        String jdbcUrl = "jdbc:oracle:thin:@10.30.53.26:1521:orcldb";
        String userName = "riverdeep86";
        String password = "riverdeep86";
        try{
            Class.forName("oracle.jdbc.driver.OracleDriver");
            Connection conn = DriverManager.getConnection(jdbcUrl, userName, password);
            Statement statement = conn.createStatement();
            ResultSet resultSet = statement.executeQuery(sql);
            int i=0;
            while (resultSet.next()){
                i++;
                System.out.println(i+"-"+resultSet.getFetchSize());
                System.out.println(resultSet.getString("FNUMBER"));//看进度用

                String fid = resultSet.getString("FID");//唯一标识
                String funmber = resultSet.getString("FNUMBER");//编号
                String fnameL2 = resultSet.getString("FNAME");//名称
                HashMap<String, Object> costmap = new HashMap<>();
                costmap.put("FID",fid);
                costmap.put("FNUMBER",funmber);
                costmap.put("FNAME",fnameL2);
                costList.add(costmap);

            }
            resultSet.close();
            statement.close();
            conn.close();

        }catch (Exception e){
            e.printStackTrace();
        }
        //异常处理集合
        ArrayList<Object> list1 = new ArrayList<>();
        int i = 0;
        //2、操作数据
        for (Map cost : costList) {
            i++;
            log.info("{}/{}",i,costList.size());
            String sc = "textField_lw6knh66, textField_luam769z, textField_luam76a0";
            String fid = (String) cost.get("FID");
            String fnumber = (String) cost.get("FNUMBER");
            String fname = (String) cost.get("FNAME");
            try{
                String string = ydClient.operateData(YDParam.builder()
                        .formUuid("FORM-7F59BC3828E0401983525C4775C9E45DAZ4P")
                        .searchCondition(JSONObject.toJSONString(UtilMap.map("textField_lw6knh66", fid)))
                        .formDataJson(JSONObject.toJSONString(UtilMap.map(sc, fid, fnumber, fname)))
                        .build(), YDConf.FORM_OPERATION.upsert).toString();
                System.out.println("数据："+string);
            }catch (Exception e){
                //异常处理----
                log.info("cost{}",cost);
                list1.add(cost);//错误信息存放
            }

        }

    }
}
