package com.malk.ruisi.service.impl;

import com.malk.ruisi.service.DeleteYDDataService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.dingtalk.DDR_New;
import com.malk.service.aliwork.YDClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class DeleteYDDataServiceImpl implements DeleteYDDataService {
    @Autowired
    private YDClient ydClient;
    @Override
    public void syncDelete() throws Exception {
        DDR_New ddrNew = ydClient.queryData(YDParam.builder()
                .formUuid("FORM-814D1D64E7904473AD250E8C3CEBC248ZKFT")
                .build(), YDConf.FORM_QUERY.retrieve_search_form_id);

        System.out.println(ddrNew.getTotalCount());

        ydClient.operateData(YDParam.builder()
                .formUuid("FORM-814D1D64E7904473AD250E8C3CEBC248ZKFT")
                .asynchronousExecution(true)
                .formInstanceIdList((List<String>) ddrNew.getData())
                .build(), YDConf.FORM_OPERATION.delete_batch);
        System.out.println("宜搭数据删除完毕！");
    }
}