package com.malk.ruisi.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.malk.ruisi.service.LegalEntityService;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.service.aliwork.YDClient;
import com.malk.utils.UtilMap;
import lombok.extern.slf4j.Slf4j;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
@Slf4j
public class LegalEntityServiceImpl implements LegalEntityService {
    @Autowired
    private YDClient ydClient;
    @Override
    public void LegalEntity() {
        //1、数据库
        List<Map> LegaltList = new ArrayList<>();
        String sql = "SELECT FNAME,FNUMBER FROM V_ORG_COMPANY WHERE FNAME NOT LIKE '%rise-%'";
        String jdbcUrl = "jdbc:oracle:thin:@10.30.53.26:1521:orcldb";
        String userName = "riverdeep86";
        String password = "riverdeep86";
        try{
            Class.forName("oracle.jdbc.driver.OracleDriver");
            Connection conn = DriverManager.getConnection(jdbcUrl, userName, password);
            Statement statement = conn.createStatement();
            ResultSet resultSet = statement.executeQuery(sql);
            int i=0;
            while (resultSet.next()){
                i++;
                System.out.println(i+"-"+resultSet.getFetchSize());
                System.out.println(resultSet.getString("FNUMBER"));//看进度用

                String funmber = resultSet.getString("FNUMBER");//编号
                String fnameL2 = resultSet.getString("FNAME");//名称
                HashMap<String, Object> bankmap = new HashMap<>();
                bankmap.put("FNUMBER",funmber);
                bankmap.put("FNAME",fnameL2);
                LegaltList.add(bankmap);

            }
            resultSet.close();
            statement.close();
            conn.close();

        }catch (Exception e){
            e.printStackTrace();
        }
        //异常处理集合
        ArrayList<Object> list1 = new ArrayList<>();
        int i =0;
        //2、操作数据
        for (Map legal : LegaltList) {
            i++;
            log.info("{}/{}",i,LegaltList.size());
            String sc = "textField_lu84158s, textField_lu84158r";
            String FNAME = legal.get("FNAME").toString()!=null?legal.get("FNAME").toString():"数据库此字段为空";
            String FNUMBER = legal.get("FNUMBER").toString()!= null?legal.get("FNUMBER").toString():"数据库此字段为空";
            try{
                    String string = ydClient.operateData(YDParam.builder()
                            .formUuid("FORM-182BA5120C5148E8B3EABA2BAE19C2AESMQB")
                            .searchCondition(JSONObject.toJSONString(UtilMap.map("textField_lu84158s", FNUMBER)))
                            .formDataJson(JSONObject.toJSONString(UtilMap.map(sc, FNUMBER, FNAME)))
                            .build(), YDConf.FORM_OPERATION.upsert).toString();
                    System.out.println("数据："+string);
            }catch (Exception e){//异常处理----
                    e.printStackTrace();
                    log.info("legal{}",legal);
                    list1.add(legal);//存放错误信息
            }

        }
        log.info("异常数据集合：{}",list1);
    }
    public static String convertToJson(String fnumber, String fnameL2) {
        // 创建一个JSONObject来保存数据
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("textField_lu84158s", fnumber);
        jsonObject.put("textField_lu84158r", fnameL2);

        // 将JSONObject转换为JSON字符串
        String jsonString = jsonObject.toString();

        // 返回JSON字符串
        return jsonString;
    }
}
