package com.malk.ruisi.service.impl;

import com.malk.ruisi.service.UfHzqyService;
import com.malk.server.aliwork.YDConf;
import com.malk.service.aliwork.YDClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Map;

@Service
@Slf4j
public class UfHzqyServiceImpl implements UfHzqyService {
    @Autowired
    private YDClient ydClient;

    @Override
    public void UfHzqy() {
        //1、数据库
        ArrayList<Map> list = new ArrayList<>();
        String SQL = "SELECT\n" +
                "\tb.org_code,\n" +
                "\tb.org_name,\n" +
                "\tme1.id AS invest_employee_id,\n" +
                "\tme1.employee_name_cn AS invest_employee_name,\n" +
                "\tDATE_FORMAT( a.updated_date, '%Y-%m-%d %H:%i:%S' ) AS update_time \n" +
                "FROM\n" +
                "\tm_manage_area_group_detail a,\n" +
                "\tm_organization b,\n" +
                "\tm_employee me1,\n" +
                "\tm_employee me2,\n" +
                "\tm_employee me3,\n" +
                "\tm_employee me4,\n" +
                "\tm_employee me5,\n" +
                "\tm_employee me6,\n" +
                "\tm_manage_area_group c,\n" +
                "\tm_employee me7 \n" +
                "WHERE\n" +
                "\ta.org_id = b.id \n" +
                "\tAND a.invest_employee_id = me1.id \n" +
                "\tAND a.bus_adviser_employee_id = me2.id \n" +
                "\tAND a.learn_direct_employee_id = me3.id \n" +
                "\tAND a.devops_employee_id = me4.id \n" +
                "\tAND a.learn_employee_id = me5.id \n" +
                "\tAND a.learn_man_employee_id = me6.id \n" +
                "\tAND a.area_group_id = c.id \n" +
                "\tAND c.bus_employee_id = me7.id \n" +
                "\tAND a.delete_flag = 0 \n" +
                "\tAND c.delete_flag = 0 \n" +
                "\tAND me1.delete_flag = 0 \n" +
                "\tAND me2.delete_flag = 0 \n" +
                "\tAND me3.delete_flag = 0 \n" +
                "\tAND me4.delete_flag = 0 \n" +
                "\tAND me5.delete_flag = 0 \n" +
                "\tAND me6.delete_flag = 0 \n" +
                "\tAND me7.delete_flag = 0";
        String jdbcUrl = "jdbc:mysql://10.30.54.68:3306/cos?useSSL=false&charsetEncoding=utf8";
        String userName = "cosuser";
        String password = "AdminCos321!@#";
        try{
            Class.forName("com.mysql.cj.jdbc.Driver");
            Connection conn = DriverManager.getConnection(jdbcUrl, userName, password);
            Statement statement = conn.createStatement();
            ResultSet resultSet = statement.executeQuery(SQL);
            int i =0;
            while (resultSet.next()) {
                i++;
                String hzqy = resultSet.getString("org_name");//合作区域 org_name
                String hzqyCode = resultSet.getString("org_code");//区域代码 org_code
                String yygw = resultSet.getString("bus_adviser_employee_name");//运营顾问 bus_adviser_employee_name
                String yyzg = resultSet.getString("bus_employee_name");//运营主管 bus_employee_name
                String tzr = resultSet.getString("invest_employee_name");//投资人 invest_employee_name
                String tzrId = resultSet.getString("invest_employee_id");//投资人ID invest_employee_id
                String xsdd = resultSet.getString("learn_direct_employee_name");//学术督导 learn_direct_employee_name
                String xszg = resultSet.getString("learn_man_employee_name");//学术主管 learn_man_employee_name

            }
        }catch (Exception e){
            e.printStackTrace();
        }

    }
}
