package com.malk.ruisi.services.WSPortalMainFacade;

import com.malk.ruisi.portalmainfacade.WSInvokeException;

public class WSPortalMainFacadeSrvProxyProxy implements WSPortalMainFacadeSrvProxy{
    private String _endpoint = null;
    private WSPortalMainFacadeSrvProxy wSPortalMainFacadeSrvProxy = null;

    public WSPortalMainFacadeSrvProxyProxy() {
        _initWSPortalMainFacadeSrvProxyProxy();
    }

    public WSPortalMainFacadeSrvProxyProxy(String endpoint) {
        _endpoint = endpoint;
        _initWSPortalMainFacadeSrvProxyProxy();
    }

    private void _initWSPortalMainFacadeSrvProxyProxy() {
        try {
            wSPortalMainFacadeSrvProxy = (new WSPortalMainFacadeSrvProxyServiceLocator()).getWSPortalMainFacade();
            if (wSPortalMainFacadeSrvProxy != null) {
                if (_endpoint != null)
                    ((javax.xml.rpc.Stub)wSPortalMainFacadeSrvProxy)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
                else
                    _endpoint = (String)((javax.xml.rpc.Stub)wSPortalMainFacadeSrvProxy)._getProperty("javax.xml.rpc.service.endpoint.address");
            }

        }
        catch (javax.xml.rpc.ServiceException serviceException) {}
    }

    public String getEndpoint() {
        return _endpoint;
    }

    public void setEndpoint(String endpoint) {
        _endpoint = endpoint;
        if (wSPortalMainFacadeSrvProxy != null)
            ((javax.xml.rpc.Stub)wSPortalMainFacadeSrvProxy)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);

    }

    public WSPortalMainFacadeSrvProxy getWSPortalMainFacadeSrvProxy() {
        if (wSPortalMainFacadeSrvProxy == null)
            _initWSPortalMainFacadeSrvProxyProxy();
        return wSPortalMainFacadeSrvProxy;
    }

    public java.lang.String portalToEas(java.lang.String type, java.lang.String jsonObject) throws java.rmi.RemoteException, WSInvokeException {
        if (wSPortalMainFacadeSrvProxy == null)
            _initWSPortalMainFacadeSrvProxyProxy();
        return wSPortalMainFacadeSrvProxy.portalToEas(type, jsonObject);
    }
}
