package com.malk.ruisi.controller;

import com.malk.ruisi.service.MaterialService;
import com.malk.server.common.McR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/material")
public class MaterialController {
    @Autowired
    private MaterialService materialService;

    //查询物料信息根据供应商名称进行匹配
    @GetMapping("/findMaterial")
    McR findMaterial(String formUuid){
        materialService.findMaterial(formUuid);
        return McR.success();
    }

}
