package com.malk.ruisi.controller;

import cn.hutool.core.text.replacer.StrReplacer;
import com.malk.delegate.McDelegate;
import com.malk.ruisi.service.WriteKingDeeService;
import com.malk.server.common.McR;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/kingDee")
public class WriteKingDeeController {
    @Autowired
    private WriteKingDeeService writeKingDeeService;
    @Autowired
    private McDelegate mcDelegate;

    /*对公付款生成付款申请单*/
    @SneakyThrows
    @PostMapping("/getValue")
    //从表单中拿到实例ID，传入参数
    McR insetXMC(String instanceId) {
        writeKingDeeService.insetXMC(instanceId);
        return McR.success();
    }
}