package com.malk.ruisi.services.WSPortalMainFacade;

public class WSPortalMainFacadeSrvProxyServiceLocator extends org.apache.axis.client.Service implements WSPortalMainFacadeSrvProxyService{
    public WSPortalMainFacadeSrvProxyServiceLocator() {
    }


    public WSPortalMainFacadeSrvProxyServiceLocator(org.apache.axis.EngineConfiguration config) {
        super(config);
    }

    public WSPortalMainFacadeSrvProxyServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName) throws javax.xml.rpc.ServiceException {
        super(wsdlLoc, sName);
    }

    // Use to get a proxy class for WSPortalMainFacade
    private java.lang.String WSPortalMainFacade_address = "http://10.30.52.251:7890/ormrpc/services/WSPortalMainFacade";

    public java.lang.String getWSPortalMainFacadeAddress() {
        return WSPortalMainFacade_address;
    }

    // The WSDD service name defaults to the port name.
    private java.lang.String WSPortalMainFacadeWSDDServiceName = "WSPortalMainFacade";

    public java.lang.String getWSPortalMainFacadeWSDDServiceName() {
        return WSPortalMainFacadeWSDDServiceName;
    }

    public void setWSPortalMainFacadeWSDDServiceName(java.lang.String name) {
        WSPortalMainFacadeWSDDServiceName = name;
    }

    public WSPortalMainFacadeSrvProxy getWSPortalMainFacade() throws javax.xml.rpc.ServiceException {
        java.net.URL endpoint;
        try {
            endpoint = new java.net.URL(WSPortalMainFacade_address);
        }
        catch (java.net.MalformedURLException e) {
            throw new javax.xml.rpc.ServiceException(e);
        }
        return getWSPortalMainFacade(endpoint);
    }

    public WSPortalMainFacadeSrvProxy getWSPortalMainFacade(java.net.URL portAddress) throws javax.xml.rpc.ServiceException {
        try {
            WSPortalMainFacadeSoapBindingStub _stub = new WSPortalMainFacadeSoapBindingStub(portAddress, this);
            _stub.setPortName(getWSPortalMainFacadeWSDDServiceName());
            return _stub;
        }
        catch (org.apache.axis.AxisFault e) {
            return null;
        }
    }

    public void setWSPortalMainFacadeEndpointAddress(java.lang.String address) {
        WSPortalMainFacade_address = address;
    }

    /**
     * For the given interface, get the stub implementation.
     * If this service has no port for the given interface,
     * then ServiceException is thrown.
     */
    public java.rmi.Remote getPort(Class serviceEndpointInterface) throws javax.xml.rpc.ServiceException {
        try {
            if (WSPortalMainFacadeSrvProxy.class.isAssignableFrom(serviceEndpointInterface)) {
                WSPortalMainFacadeSoapBindingStub _stub = new WSPortalMainFacadeSoapBindingStub(new java.net.URL(WSPortalMainFacade_address), this);
                _stub.setPortName(getWSPortalMainFacadeWSDDServiceName());
                return _stub;
            }
        }
        catch (java.lang.Throwable t) {
            throw new javax.xml.rpc.ServiceException(t);
        }
        throw new javax.xml.rpc.ServiceException("There is no stub implementation for the interface:  " + (serviceEndpointInterface == null ? "null" : serviceEndpointInterface.getName()));
    }

    /**
     * For the given interface, get the stub implementation.
     * If this service has no port for the given interface,
     * then ServiceException is thrown.
     */
    public java.rmi.Remote getPort(javax.xml.namespace.QName portName, Class serviceEndpointInterface) throws javax.xml.rpc.ServiceException {
        if (portName == null) {
            return getPort(serviceEndpointInterface);
        }
        java.lang.String inputPortName = portName.getLocalPart();
        if ("WSPortalMainFacade".equals(inputPortName)) {
            return getWSPortalMainFacade();
        }
        else  {
            java.rmi.Remote _stub = getPort(serviceEndpointInterface);
            ((org.apache.axis.client.Stub) _stub).setPortName(portName);
            return _stub;
        }
    }

    public javax.xml.namespace.QName getServiceName() {
        return new javax.xml.namespace.QName("http://10.31.52.8:7890/ormrpc/services/WSPortalMainFacade", "WSPortalMainFacadeSrvProxyService");
    }

    private java.util.HashSet ports = null;

    public java.util.Iterator getPorts() {
        if (ports == null) {
            ports = new java.util.HashSet();
            ports.add(new javax.xml.namespace.QName("http://10.31.52.8:7890/ormrpc/services/WSPortalMainFacade", "WSPortalMainFacade"));
        }
        return ports.iterator();
    }

    /**
     * Set the endpoint address for the specified port name.
     */
    public void setEndpointAddress(java.lang.String portName, java.lang.String address) throws javax.xml.rpc.ServiceException {

        if ("WSPortalMainFacade".equals(portName)) {
            setWSPortalMainFacadeEndpointAddress(address);
        }
        else
        { // Unknown Port Name
            throw new javax.xml.rpc.ServiceException(" Cannot set Endpoint Address for Unknown Port" + portName);
        }
    }

    /**
     * Set the endpoint address for the specified port name.
     */
    public void setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address) throws javax.xml.rpc.ServiceException {
        setEndpointAddress(portName.getLocalPart(), address);
    }
}
